Skip to content

Get accounts

POST /api/tool/execute

Returns the authenticated user's connected brokerage accounts, balances, brokerage capabilities, and connection status.

OAuth scopes: brokerage:read, tool:execute

Plan: Trade It Pro

Request body

FieldTypeRequiredDescription
toolName"get_accounts"YesSelects the account-list operation.
paramsobjectYesThis operation takes an empty object.

Example request

bash
curl https://api.tradeit.app/api/tool/execute \
  --request POST \
  --header "Authorization: Bearer $TRADE_IT_ACCESS_TOKEN" \
  --header "Content-Type: application/json" \
  --data '{
    "toolName": "get_accounts",
    "params": {}
  }'

Example response

200 OK

json
[
  {
    "account": {
      "id": 304,
      "connection_id": 395,
      "external_id": "rh-304",
      "name": "Robinhood x1234",
      "balance": { "amount": 15420.5, "currency": "USD" },
      "cash": { "amount": 3420.5, "currency": "USD" },
      "buying_power": { "amount": 3420.5, "currency": "USD" },
      "created_at": "2026-01-03T15:20:10.000Z",
      "updated_at": "2026-03-17T13:55:02.000Z",
      "synced_at": "2026-03-17T13:55:02.000Z"
    },
    "brokerage_metadata": {
      "id": 1,
      "name": "Robinhood",
      "fractional_support": true,
      "minimum_order": 1,
      "options_support": true,
      "take_profit_support": false,
      "stop_loss_support": false
    },
    "connection": {
      "id": 395,
      "status": 1
    }
  }
]

Use account.id, not connection.id or account.external_id, as the account_id in holdings and trade requests. Brokerage capability fields let your application validate features before showing them to a user.